package lsedit;

import java.awt.Color;
import java.awt.Container;
import java.awt.Font;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.*;

import java.io.*;
import java.util.*;
import javax.swing.*;

// This logic is being replaced over time..


public class PrintPrompt extends JDialog implements ActionListener, ItemListener { //Class definition

	private int Value, NextValue;//used to fix bug in Java v1.02 Scrollbars;

	//Object definitions

	JCheckBox Checkbox0 = new JCheckBox("Output for web (setup for PDF)");

	JCheckBox Checkbox1 = new JCheckBox("Landscape orientation");

	JCheckBox Checkbox2 = new JCheckBox("Black & White");

	JLabel Label0 = new JLabel("Print to:");

	JTextField TextField1 = new JTextField("");

	JButton Button2 = new JButton("OK");

	JButton Button3 = new JButton("Cancel");

  //CheckboxGroup group = new CheckboxGroup(); //use for radio buttons!



	void addPosition( JComponent c,String lo,int x,int y,int w,int h ) //adds component
	{
		Container	contentPane = getContentPane();

		contentPane.add(c); 
		c.setBounds(x,y,w,h);
	}



	void setParameters( JComponent c,int fr,int fg,int fb,int br,int bg, int bb,String font,int style,int size)	//set component parameters
	{

		try{ //set if possible
			c.setForeground(new Color(fr,fg,fb));
			c.setBackground(new Color(br,bg,bb));
			c.setFont(new Font(font,style,size));
		} catch (Exception e){}
	}



	Image loadImage(String fileName)	//routine for loading images
	{
		return Toolkit.getDefaultToolkit().getImage(fileName);
	}



	int StrToInt(String s)	// StrToInt
	{
		return Integer.parseInt(s);
	}



	String IntToStr(int i)	// IntToStr
	{
		return ""+i;
	}



	public PrintPrompt(JFrame fr)  //Constructor
	{
		super(fr, "", true); //false if non-modal

		Container contentPane = getContentPane();

		contentPane.setLayout(null);
		setSize(427,231);
		setForeground(new Color(0,0,0));
		setBackground(new Color(192,192,192));
		setFont(new Font("Dialog",0,12));
		addPosition(Checkbox0,"",8,43,240,25); // Checkbox Checkbox0
		setParameters(Checkbox0,0,0,0,192,192,192,"Dialog",0,12);
		addPosition(Checkbox1,"",8,63,240,25); // Checkbox Checkbox1
		setParameters(Checkbox1,0,0,0,192,192,192,"Dialog",0,12);
		addPosition(Checkbox2,"",8,83,240,25); // Checkbox Checkbox2
		setParameters(Checkbox2,0,0,0,192,192,192,"Dialog",0,12);
		addPosition(Label0,"",8,133,69,25); // Label Label0
		setParameters(Label0,0,0,0,192,192,192,"Dialog",0,12);
		addPosition(TextField1,"",85,133,328,25); // TextField TextField1
		setParameters(TextField1,0,0,0,255,255,255,"Dialog",0,12);
		addPosition(Button2,"",259,193,70,25); // Button Button2
		setParameters(Button2,0,0,0,192,192,192,"Dialog",0,12);
		addPosition(Button3,"",342,193,70,25); // Button Button3
		setParameters(Button3,0,0,0,192,192,192,"Dialog",0,12);

		TextField1.addActionListener(this);
		Button2.addActionListener(this);
		Button3.addActionListener(this);

		Checkbox0.addItemListener(this);
		Checkbox1.addItemListener(this);

		repaint();
	}

	// ActionListener interface

	public void actionPerformed(ActionEvent ev)
	{
		Object	source;

		// Pop down the window when the button is clicked.

		// System.out.println("event: " + ev);

		source = ev.getSource();

		if (source == TextField1) {
			TextField1_action(ev, source);
			return;
		}
		if (source == Button2) {
			Button2_action(ev,source);
			return;
		}
		if (source == Button3) {
			Button3_action(ev, source);
			return;
		}
	}


	// ItemListener interface

	public void itemStateChanged(ItemEvent ev)
	{
		Object	source;

		// Pop down the window when the button is clicked.

		// System.out.println("event: " + ev);

		source = ev.getSource();

		if (source == Checkbox0) {
			Checkbox0_action(ev, source);
			return;
		}

		if (source == Checkbox1) {
			Checkbox0_action(ev, source);
		}
	}

//**************** USER CODE'S SUPPOSED TO BE BELOW THIS LINE **********



	void TextField1_action(ActionEvent ev, Object arg) //Return was hit in TextField TextField1
	{
	 //Your code here!
	}



	void Button2_action(ActionEvent ev, Object arg) //Button Button2 was hit
	{
	 //Your code here!
	}



	void Button3_action(ActionEvent ev, Object arg) //Button Button3 was hit
	{
	 //Your code here!
	}



	void Checkbox0_action(ItemEvent ev, Object arg) 
	{
	 //Your code here!
	}



	void Checkbox1_action(ItemEvent ev, Object arg)
	{ 
	 //Your code here!
	}

} //End of class PrintPrompt



